<?php
/**
 * Theme Functions
 *
 * @package Rocco
 * @author Muffin group
 * @link http://muffingroup.com
 */


define( 'THEME_DIR', get_template_directory() );
define( 'THEME_URI', get_template_directory_uri() );

define( 'THEME_NAME', 'Rocco' );
define( 'THEME_VERSION', '1.0.1' );

define( 'LIBS_DIR', THEME_DIR. '/functions' );
define( 'LIBS_URI', THEME_URI. '/functions' );
define( 'LANG_DIR', THEME_DIR. '/languages' );

add_filter( 'widget_text', 'do_shortcode' );


/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * --------------------------------------------------------------------------- */
load_theme_textdomain( 'rocco', LANG_DIR );
load_theme_textdomain( 'mfn-opts', LANG_DIR );


/* ---------------------------------------------------------------------------
 * Loads the Options Panel
 * --------------------------------------------------------------------------- */
function mfn_admin_scripts() {
// 	wp_enqueue_script( 'jquery-ui-droppable' );
	wp_enqueue_script( 'jquery-ui-sortable' );
}    
add_action( 'wp_enqueue_scripts', 'mfn_admin_scripts' );
add_action( 'admin_enqueue_scripts', 'mfn_admin_scripts' );
	
require( THEME_DIR .'/muffin-options/theme-options.php' );


/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * --------------------------------------------------------------------------- */

// Functions --------------------------------------------------------------------
require_once( LIBS_DIR .'/theme-functions.php' );

// Header -----------------------------------------------------------------------
require_once( LIBS_DIR .'/theme-head.php' );

// Menu -------------------------------------------------------------------------
require_once( LIBS_DIR .'/theme-menu.php' );

// Meta box ---------------------------------------------------------------------
require_once( LIBS_DIR .'/meta-functions.php' );
require_once( LIBS_DIR .'/meta-page.php' );
require_once( LIBS_DIR .'/meta-post.php' );

// Custom post types ------------------------------------------------------------
require_once( LIBS_DIR .'/meta-client.php' );
require_once( LIBS_DIR .'/meta-portfolio.php' );
require_once( LIBS_DIR .'/meta-testimonial.php' );

// Shortcodes -------------------------------------------------------------------
require_once( LIBS_DIR .'/theme-shortcodes.php' );

// Widgets ----------------------------------------------------------------------
require_once( LIBS_DIR .'/widget-flickr.php' );
require_once( LIBS_DIR .'/widget-functions.php' );
require_once( LIBS_DIR .'/widget-menu.php' );
require_once( LIBS_DIR .'/widget-quick-facts.php' );
require_once( LIBS_DIR .'/widget-recent-comments.php' );
require_once( LIBS_DIR .'/widget-recent-posts.php' );
require_once( LIBS_DIR .'/widget-tag-cloud.php' );

// TinyMCE ----------------------------------------------------------------------
require_once( LIBS_DIR .'/tinymce/tinymce.php' );

// Plugins ---------------------------------------------------------------------- 
require_once( LIBS_DIR .'/class-tgm-plugin-activation.php' );




include('sidebarmenuwidget.php');



add_filter('widget_text', 'enable_php_code', 99);

function enable_php_code ($text) {
if (strpos($text, '<' . '?') !== false) {
ob_start();
eval('?' . '>' . $text);
$text = ob_get_contents();
ob_end_clean();
}
return $text;
}





function load_cat_parent_template()
{
    global $wp_query;

    if (!$wp_query->is_category)
        return true; // saves a bit of nesting

    // get current category object
    $cat = $wp_query->get_queried_object();

    // trace back the parent hierarchy and locate a template
    while ($cat && !is_wp_error($cat)) {
        $template = TEMPLATEPATH . "/category-{$cat->slug}.php";

        if (file_exists($template)) {
            load_template($template);
            exit;
        }

        $cat = $cat->parent ? get_category($cat->parent) : false;
    }
}
add_action('template_redirect', 'load_cat_parent_template');




function get_the_category_custompost( $id = false, $tcat = 'category' ) {
    $categories = get_the_terms( $id, $tcat );
    if ( ! $categories )
        $categories = array();

    $categories = array_values( $categories );

    foreach ( array_keys( $categories ) as $key ) {
        _make_cat_compat( $categories[$key] );
    }

    return apply_filters( 'get_the_categories', $categories );
}


$cat = get_the_category_custompost($post->ID, 'portfolio-types');









function mfn_migrate_menu() {
    add_submenu_page(
    'tools.php',
    'Muffin Content Builder Migrate Tool',
    'Mfn CB Migrate Tool',
    'edit_theme_options',
    'mfn_migrate_cb',
    'mfn_migrate_cb'
            );
}
add_action('admin_menu', 'mfn_migrate_menu');

function mfn_migrate_cb(){

    global $wpdb;

    $safety_limit = 10;

    if( key_exists( 'mfn_migrate_nonce',$_POST ) ) {
        if ( wp_verify_nonce( $_POST['mfn_migrate_nonce'], basename(__FILE__) ) ) {
               
            $old_url = stripslashes(htmlspecialchars($_POST['old']));
            $new_url = stripslashes(htmlspecialchars($_POST['new']));
               
            if( strlen($old_url) < $safety_limit || strlen($new_url) < $safety_limit ){

                echo '<p><strong>For your own safety please use URLs longer than '. $safety_limit .' characters !</strong></p>';

            } elseif( strpos( $old_url, 'http' ) !== 0 || strpos( $new_url, 'http' !== 0 )  ){

                echo '<p><strong>URLs must begin with http:// or https:// !</strong></p>';

            } else {

                $results = $wpdb->get_results( "SELECT * FROM $wpdb->postmeta
                        WHERE `meta_key` = 'mfn-page-items'
                        " );
                   
                if( is_array( $results ) ){
                    // posts loop -----------------
                    foreach( $results as $result_key=>$result ){
                        $meta_id = $result->meta_id;
                        $meta_value = unserialize(base64_decode($result->meta_value));

$meta_value = recursive_array_replace($old_url, $new_url, $meta_value);

                        $meta_value = base64_encode(serialize($meta_value));
                        $wpdb->query( "UPDATE $wpdb->postmeta
                                SET `meta_value` = '". addslashes($meta_value) ."'
                            WHERE `meta_key` = 'mfn-page-items'
                            AND `meta_id`= ". $meta_id ."
                        ");
                    }
                }
                echo '<p><strong>All done. Have fun!</strong></p>';

            }
            } else {
            echo '<p><strong>Invalid Nonce !</strong></p>';
            }
            }

            ?>
        <div class="wrap">

            <div id="icon-tools" class="icon32"></div>
            <h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
            <br />
           
            <form action="" method="post">
               
                <input type="hidden" name="mfn_migrate_nonce" value="<?php echo wp_create_nonce(basename(__FILE__)); ?>" />
               
                <label style="width:50px; display:inline-block;">Find</label>
                <input type="text" name="old" value="" placeholder="Old URL" style="width:300px;" />
                <br />
               
                <label style="width:50px; display:inline-block;">Replace</label>
                <input type="text" name="new" value="<?php echo home_url(); ?>" style="width:300px;" />
               
                <input type="submit" name="submit" class="button button-primary" value="Replace" />
               
            </form>

        </div>
    <?php
}

?>
<?php

// Recursive String Replace - recursive_array_replace(mixed, mixed, array);
function recursive_array_replace($find, $replace, $array){
    if (!is_array($array)) {
        return str_replace($find, $replace, $array);
    }

    $newArray = array();

    foreach ($array as $key => $value) {
        $newArray[$key] = recursive_array_replace($find, $replace, $value);
    }

    return $newArray;
}
?>